# Public APIs

A collective list of JSON APIs for use in web development.

> While I appreciate the masses of pull requests and community involvement, some PRs have been specifically to market company APIs that offer paid for solutions. This API list is not a marketing tool, but a tool to help the community build applications and use free public APIs quickly and easily. Pull requests that explicitly are marketing attempts won't be accepted, thanks for understanding! :)

### Animals
| API | Description | OAuth |Link |
|---|---|---|---|
| Petfinder | Adoption | No | [Go!](https://www.petfinder.com/developers/api-docs/) |
| RescueGroups | Adoption | No | [Go!](https://userguide.rescuegroups.org/display/APIDG/API+Developers+Guide+Home) |
| IUCN | IUCN Red List of Threatened Species | No, but a token is required | [Go!] (http://apiv3.iucnredlist.org/api/v3/docs) |

### Anime

| API | Description | OAuth |Link |
|---|---|---|---|
| Hummingbird | Hummingbird Anime API | No | [Go!](https://hummingbird.me/) |
| AniList | AniList Anime API | Yes | [Go!](http://anilist-api.readthedocs.org/en/latest/#) |

### Business
| API | Description | OAuth |Link |
|---|---|---|---|
| markerapi | Trademark Search API | No | [Go!](http://www.markerapi.com/) |


### Calendar

| API | Description | OAuth |Link |
|---|---|---|---|
| Church Calendar API | Catholic liturgical calendar | No | [Go!](http://calapi.inadiutorium.cz/) |
| Non-working days API | Database of ICS files for non working days | No | [Go!](https://github.com/gadael/icsdb) |
| Date and Time | Global Date and Time | No | [Go!](http://www.timeanddate.com/services/api/) |
| Holidays | Free API for obtaining information about holidays. | No | [Go!](http://holidayapi.com/) |

### Development

| API | Description | OAuth |Link |
|---|---|---|---|
| RandomUser | Generates random user data | No | [Go!](https://randomuser.me) |
| UI Faces | Find and generate sample avatars for user interfaces | No | [Go!](http://uifaces.com/api) |
| UI Names | Generate random fake names | No | [Go!](https://github.com/thm/uinames) |
| Adorable Avatars | Generate random cartoon avatars | No | [Go!](http://avatars.adorable.io) |
| Github - User Data | Pull public information for a user's github | No | [Go!](https://api.github.com/users/hackeryou) |
| Gitter | Chat for GitHub | Yes | [Go!](https://developer.gitter.im/docs/) |
| JSONPlaceholder | Fake data for testing and prototyping | No | [Go!](http://jsonplaceholder.typicode.com/) |
| RoboHash | Generate random robot/alien avatars | No | [Go!](https://robohash.org/) |
| Plino | Spam filtering system | No | [Go!](https://plino.herokuapp.com/) |
| API Only | Several APIs free. | No | [Go!](http://apionly.com/) |
| Lorem Text | Generates Lorem Ipsum text | Yes | [Go!] (https://market.mashape.com/montanaflynn/lorem-text-generator)
| Hipster Ipsum | Generates Hipster Ipsum text | No | [Go!] (http://hipsterjesus.com/)
| Loripsum | The "lorem ipsum" generator that doesn't suck | No | [Go!] (http://loripsum.net/)
| ReqRes | A hosted REST-API ready to respond to your AJAX requests | No | [Go!] (http://reqres.in/)
| StackExchange | The All-in-one API for StackExchange sites | Yes | [Go!] (https://api.stackexchange.com/)

### Drinks and Food

| API | Description | OAuth |Link |
|---|---|---|---|
| Recipe Puppy | Food | No | [Go!](http://www.recipepuppy.com/about/api/)
| BreweryDB | Beer | No, but apiKey query string |[Go!](http://www.brewerydb.com/developers) |
| LCBO API | Alcohol | No, but apiKey query string |[Go!](https://lcboapi.com/) |

### Data Access

| API | Description | OAuth |Link |
|---|---|---|---|
| Abbreviation API | Get abbreviations and meanings | No |[Go!](https://market.mashape.com/daxeel/abbreviations) |
| Callook.info API | United States ham radio callsigns | No |[Go!](https://callook.info) |
| Celebinfo API | Celebrity information API | No |[Go!](https://market.mashape.com/daxeel/celebinfo/) |
| Dronestream API | Tracks United States drone strikes | No |[Go!](http://dronestre.am/) |
| Open Government | United State Government Open Data | No |[Go!](https://www.data.gov/) |
| Data USA | US Public Data | No |[Go!](http://datausa.io/about/api/) |
| Yelp | Find Local Business | Yes |[Go!](https://www.yelp.com/developers) |
| Quandl API | Stock Market Data | No |[Go!](https://www.quandl.com/) |

### Exchange

| API | Description | OAuth |Link |
|---|---|---|---|
| Currencylayer | Exchange rates and currency conversion | No | [Go!](https://currencylayer.com/documentation) |
| Fixer.io | JSON API for foreign exchange rates and currency conversion | No | [Go!](http://fixer.io) |

### Games & Comics

| API | Description | OAuth |Link |
|---|---|---|---|
| Marvel | Marvel Comics API | No | [Go!](http://developer.marvel.com) |
| SWAPI | Star Wars API | No |[Go!](https://swapi.co) |
| Pokéapi | The RESTful Pokémon API | No |[Go!](http://pokeapi.co) |
| Giant Bomb | Video Games | No |[Go!](http://www.giantbomb.com/api/documentation) |
| Comic Vine | Comics | No | [Go!](http://comicvine.gamespot.com/api/documentation) |
| Battle.net | Blizzard API | No | [Go!] (https://dev.battle.net/)  |
| Steam | Steam Client API | Yes | [Go!] (https://developer.valvesoftware.com/wiki/Steam_Web_API) |
| Deck of Cards | Deck of Cards API | No | [Go!] (http://deckofcardsapi.com/)  |
| Magic the gathering | Magic the gathering API | No | [Go!] (http://magicthegathering.io/)  |

### Geocoding

| API | Description | OAuth |Link |
|---|---|---|---|
| OpenCage | Forward and reverse geocoding using open data | No | [Go!](https://geocoder.opencagedata.com) |
| IP 2 Country | Map an IP to a country | No | [Go!](https://ip2country.info) |

### Health

| API | Description | OAuth |Link |
|---|---|---|---|
| USDA Nutrients | National Nutrient Database for Standard Reference | No | [Go!](https://ndb.nal.usda.gov/ndb/doc/index) |

### Health

| API | Description | OAuth |Link |
|---|---|---|---|
| Nutritionix | Worlds largest verified nutrition database | No, but `apiKey` query string | [Go!](https://developer.nutritionix.com/) |

### Media

| API | Description | OAuth |Link |
|---|---|---|---|
| Noun Project | Icons | Yes | [Go!](http://api.thenounproject.com/index.html) |
| Unsplash | Photography | Yes | [Go!](https://unsplash.com/developers) |
| Giphy | Get all your gifs | No | [Go!](https://github.com/Giphy/GiphyAPI) |
| TVMaze | TV Show Data | No | [Go!](http://www.tvmaze.com/api) |
| OMDB | Open movie database | No | [Go!](http://omdbapi.com) |
| MovieDB | Movie Data | No | [Go!](https://www.themoviedb.org/documentation/api) |
| Netflix Roulette | Netflix database | No | [Go!](http://netflixroulette.net/api/) |
| Good Reads | Books | No | [Go!](https://www.goodreads.com/api) |
| Dribbble | Design | Yes | [Go!](http://developer.dribbble.com/v1/) |
| Ron Swanson Quotes | Television | No | [Go!](https://github.com/jamesseanwright/ron-swanson-quotes#ron-swanson-quotes-api) |
| Rijksmuseum| Art | No | [Go!](https://www.rijksmuseum.nl/en/api) |
| iTunes Search | Software products API | No | [Go!](https://affiliate.itunes.apple.com/resources/documentation/itunes-store-web-service-search-api/) |
| Twitch | Game Streaming API | Yes | [Go!](https://github.com/justintv/Twitch-API) |
| Wordnik | Dictionary Data API | No | [Go!](http://developer.wordnik.com) |
| Imgur | Images | Yes | [Go!](https://api.imgur.com/#overview) |
| File.io | Files | No | [Go!](https://file.io) |
| Chuck Norris Database | Jokes | No | [Go!](http://www.icndb.com/api) |
| Medium | community of readers and writers offering unique perspectives on ideas. | Yes | [Go!](https://github.com/Medium/medium-api-docs)
| Flickr | Flickr Services | Yes | [Go!](https://www.flickr.com/services/api/)
| Reddit | Homepage of the internet | Parts | [Go!](https://www.reddit.com/dev/api)
| 500px |  Photography Community | Yes | [Go!](https://github.com/500px/api-documentation)
| HackerNews | Social news for CS and entrepreneurship | No | [Go!](https://github.com/HackerNews/API)
| Genius | Crowdsourced lyrics and music knowledge | Yes | [Go!](https://docs.genius.com/)

### Music
| API | Description | OAuth |Link |
|---|---|---|---|
| Discogs | Music | No | [Go!](https://www.discogs.com/developers/) |
| EchoNest | Music | No | [Go!](http://developer.echonest.com/docs/v4) |
| Jamendo | Music | Yes | [Go!](https://developer.jamendo.com/v3.0) |
| LastFm | Music | No | [Go!](http://www.last.fm/api) |
| Mixcloud | Music | No | [Go!](https://www.mixcloud.com/developers/) |
| MusicBrainz | Music | No | [Go!](https://musicbrainz.org/doc/Development/XML_Web_Service/Version_2) |
| Soundcloud | Music | No | [Go!](https://developers.soundcloud.com/) |
| Spotify | Music | No | [Go!](https://developer.spotify.com/web-api/migration-guide/) |
| Musixmatch | Music | No, but `apikey` query string | [Go!](https://developer.musixmatch.com/) |
| Musikki | Music | No | [Go!](https://music-api.musikki.com/reference) |

### Open Source projects
| API | Description | OAuth |Link |
|---|---|---|---|
| Drupal.org | Drupal.org API | No | [Go!](https://www.drupal.org/drupalorg/api) |
| Countly  | Countly web analytics API | No | [Go!](http://resources.count.ly/) | 
| Libraries.io | Open source software libraries | No | [Go!](https://libraries.io/api) |

### Planets
| API | Description | OAuth |Link |
|---|---|---|---|
| Minor Planet Center | Asterank.com API | No | [Go!](http://www.asterank.com/mpc) |

### Railway

| API | Description | OAuth |Link |
|---|---|---|---|
| Indian Railways | Indian Railways API | No, but a token is required |[Go!](http://api.erail.in/) |

### Security

| API | Description | OAuth |Link |
|---|---|---|---|
| UK Police | UK Police data | No | [Go!](https://data.police.uk/docs/) |
| AXFR Database | AXFR public database API | No | [Go'](http://api.axfrcheck.com) |

### Science

| API | Description | OAuth |Link |
|---|---|---|---|
| TED Talks | TED API | No | [Go!](http://developer.ted.com/API_Docs) |
| NASA | NASA data, including imagery | No | [Go!](https://api.nasa.gov) |
| Wunderground | Weather | No | [Go!](http://www.wunderground.com/weather/api/) |
| OpenWeatherMap | Weather | No | [Go!](http://openweathermap.org/api) |
| Yahoo! Weather | Weather | No | [Go!](https://developer.yahoo.com/weather/) |
| Dark Sky Forecast API | Weather | No, but  `apiKey` query string | [Go!](https://developer.forecast.io/) |
| World Bank | World Data | No | [Go!](http://data.worldbank.org/developers) |
| Open Notify | ISS astronauts, current location API | No | [Go!](http://open-notify.org/Open-Notify-API/) |
| Fedger.io | Query machine intelligence data | No | [Go!](https://dev.fedger.io/docs/) |
| inspirehep.net | High Energy Physics info. system | No | [Go!](https://inspirehep.net/info/hep/api?ln=en) |

### Social

| API | Description | OAuth |Link |
|---|---|---|---|
| Full Contact | Get Social Media profiles and contact Information | Yes | [Go!](https://www.fullcontact.com/developer/docs/) |
| Instagram API | Instagram Login, Share on Instagram, Social Plugins and more | Yes | [Go!](https://www.instagram.com/developer/) |
| LinkedIn REST-API | The foundation of all digital integrations with LinkedIn | Yes | [Go!](https://developer.linkedin.com/docs/rest-api) |
| Facebook API | Facebook Login, Share on FB, Social Plugins, Analytics and more | Yes | [Go!](https://developers.facebook.com/) |
| Twitter API | Read and write Twitter data | Yes | [Go!](https://dev.twitter.com/rest/public) |
| Telegram API | Read and write Telegram data | Yes | [Go!](https://core.telegram.org/api#getting-started) |
| Fuck Off as a Service | Asks someone to fuck off | No | [Go!](https://www.foaas.com) |

### Sports/Fitness

| API | Description | OAuth |Link |
|---|---|---|---|
| Football-Data.org | Football Data | No | [Go!](http://api.football-data.org) |
| FitBit | FitBit API | No | [Go!](https://dev.fitbit.com) |
| Stattleship | MLB, NBA, NHL, NFL | No, but a token is required | [Go!](https://www.stattleship.com/#) |
| JCDecaux Bike API | JCDecaux's self-service bicycles | No, but `apiKey` query string | [Go!](https://developer.jcdecaux.com/) |
| City Bikes API | City Bikes around the world | No | [Go!](http://api.citybik.es/v2/) |
| Ergast F1 API | F1 data from the beginning of the world championships in 1950 | No | [Go!](http://ergast.com/mrd/)

### Transportation
| API | Description | OAuth |Link |
|---|---|---|---|
| Transport for London | TfL API | No | [Go!](https://api.tfl.gov.uk) |
| Transport for Belgium | Belgian transport API | No | [Go!](https://hello.irail.be/api/) |
| Transport for Germany | Deutsche Bahn (DB) API | No | [Go!](http://data.deutschebahn.com/apis/fahrplan/) |
| Transport for Switzerland | Swiss public transport API | No | [Go!](https://transport.opendata.ch/) |
| Transport for Budapest | Budapest public transport API | No | [Go!](http://docs.bkkfutar.apiary.io/) |
| Transport for Norway | Norwegian transport API | No | [Go!](http://reisapi.ruter.no/help) |
| Transport for Toronto | TTC | No| [Go!](https://myttc.ca/developers) |
| Transport for Vancouver, Canada | TransLink | Yes | [Go!](https://developer.translink.ca/) |
| Transport for Chicago, US | CTA | No | [Go!](http://www.transitchicago.com/developers/) |
| Transport for Washington, US | Washington Metro transport API | Yes | [Go!](https://developer.wmata.com/) |
| Transport for Minneapolis, US | NexTrip API | Yes | [Go!](http://svc.metrotransit.org/) |
| Transport for Paris, France | RATP Open Data API | No | [Go!](http://data.ratp.fr/api/v1/console/datasets/1.0/search/) |
| Transport for São Paulo, Brazil | SPTrans | Yes | [Go!](http://www.sptrans.com.br/desenvolvedores/APIOlhoVivo/Documentacao.aspx) |
| Transport for The Netherlands | NS | No | [Go!](http://www.ns.nl/reisinformatie/ns-api) |
| Transport for Sweden | Public Transport consumer | Yes | [Go!](https://www.trafiklab.se/api) |
| Schiphol Airport API | Schiphol | Yes | [Go!](https://flight-info.3scale.net/)
| Transport for Boston, MA, USA | MBTA API | No | [Go!](http://realtime.mbta.com/Portal/Home/Documents)
| TransitLand | Transit Aggregation | No | [Go!](https://transit.land/documentation/datastore/api-endpoints.html)

### University
| API | Description | OAuth |Link |
|---|---|---|---|
| University API | University names, countries and domains| No| [Go!](https://github.com/Hipo/university-domains-list) |

### Vehicle
| API | Description | OAuth |Link |
|---|---|---|---|
| Vehicle API | Lot of vehicles informations | No, but `apiKey` query string | [Go!](http://developer.edmunds.com/api-documentation/overview/) |

### Video
| API | Description | OAuth |Link |
|---|---|---|---|
| Vimeo | Vimeo Developer API | Yes | [Go!](https://developer.vimeo.com/)
| YouTube | Add YouTube functionality to your sites and apps. | Yes / No | [Go!](https://developers.google.com/youtube/)
